export interface IAuthor {
  id: number;
  first_name: string;
  last_name: string;
  govern_status: unknown;
}

export interface ILocation {
  id: 4;
  latitude: number;
  longitude: number;
  address: string;
}

export interface IReportImage {
  id: number;
  image: string;
}

export interface IReport {
  results: any;
  id: number;
  image: IReportImage[];
  description: string;
  author: IAuthor;
  created_at: string;
  updated_at: string;
  location: ILocation[];
  category: number;
  total_likes: number;
  count_reviews: number;
}
